Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface RelationalReference

All Known Implementing Classes:
  BelongingImpl, DescribedMoneyImpl, DescribedPriceImpl, EntityImpl, ImageInfoImpl, InventoryInfoImpl, JspInfoImpl, MoneyImpl, OrderImpl, OrderLineImpl, PaymentTransactionImpl, PriceImpl, QualityImpl, QuantityImpl, ResultImpl, ShippingMethodImpl, ShoppingCartImpl, ShoppingCartLineImpl, StateImpl, TaxInformationImpl, TaxLineImpl, TaxLineListImpl, TaxLineResultImpl, TaxParametersImpl, TaxResultImpl, TransactionEntryImpl, TransitionImpl, UnitImpl, UnitPriceImpl

Deprecated

    @Deprecated
    public interface RelationalReference

Interface for metadata required to persist associations. Associations among classes require certain metadata for persistence:

- containingEntity: provides foreign key information to containing entity bean
- classID: identifies a subclass in the database. Used to persist subclasses in a single collection or map

Method Summary
`String` | `get__classIdentifier()` Deprecated Get relation identifier for this object (used to persist subclasses in a single collection or map)
`Belonging` | `get__containingBelonging()` Deprecated Get foreign key information about the bean that contains this object
`javax.ejb.EJBObject` | `get__containingEntity()` Deprecated Get foreign key information about the bean that contains this object
`Object` | `get__mapKey()` Deprecated get map key
`Long` | `get__sequenceNumber()` Deprecated Get the sequencer number
`void` | `set__containingBelonging(Belonging belonging)` Deprecated Provides foreign key information about the bean that contains this object
`void` | `set__containingEntity(javax.ejb.EJBObject containingEntity)` Deprecated Provides foreign key information about the bean that contains this object
`void` | `set__mapKey(Object mapKey)` Deprecated Provides map key information

Method Detail

### set__mapKey

    void set__mapKey(Object mapKey)

  Deprecated
  Provides map key information

  Parameters
    `mapKey` - the key if this object is used in a map

### get__mapKey

    Object get__mapKey()

  Deprecated
  get map key

  Returns
    the mak key
  Throws
    `ClassCastException` - source object is not an instance of the remote interface of the containing class.

### set__containingEntity

    void set__containingEntity(javax.ejb.EJBObject containingEntity)

  Deprecated
  Provides foreign key information about the bean that contains this object

  Parameters
    `ejbObject` - remote interface of the containing bean

### get__containingEntity

    javax.ejb.EJBObject get__containingEntity()

  Deprecated
  Get foreign key information about the bean that contains this object

  Returns
    ejbObject remote interface of the containing bean
  Throws
    `ClassCastException` - source object is not an instance of the remote interface of the containing class.

### set__containingBelonging

    void set__containingBelonging(Belonging belonging)

  Deprecated
  Provides foreign key information about the bean that contains this object

  Parameters
    `ejbObject` - remote interface of the containing bean

### get__containingBelonging

    Belonging get__containingBelonging()

  Deprecated
  Get foreign key information about the bean that contains this object

  Returns
    ejbObject remote interface of the containing bean
  Throws
    `ClassCastException` - source object is not an instance of the remote interface of the containing class.

### get__classIdentifier

    String get__classIdentifier()

  Deprecated
  Get relation identifier for this object (used to persist subclasses in a single collection or map)

  Returns
    class identifier for this object.

### get__sequenceNumber

    Long get__sequenceNumber()

  Deprecated
  Get the sequencer number

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.